<?php

/**
* MyBB Plugin:  Simple Custom Page
* -------------------------------------------------------------------------------------------
* http://www.forumsecurity.eu
* -------------------------------------------------------------------------------------------
* Author : Babjusi 
* http://www.forumsecurity.eu
**/
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
$plugins->add_hook("global_start", "custompagelink");
$plugins->add_hook("build_friendly_wol_location_end", "custompageonline");



function simple_custom_page_info()
{
	return array(
		"name"			=> "Basit Özel Sayfa",
		"description"	=> "Foruma özel bir sayfa eklemek için izin verir.",
		"website"		=> "http://www.forumsecurity.eu/",
		"version"		=> "1.0",
		"author"		=> "babjusi Türkçe:Bomfile",
		"authorsite"	=> "http://www.forumsecurity.eu/",
		"compatibility"  => "14*",
		'guid'        => ''
	);
}
function simple_custom_page_activate()
{
	global $db, $mybb;
	
$settings_group = array(
		'name' => 'simplecustompage',
		'title' => 'Basit Özel Sayfa Ayarlar',
		'description' => 'Eklenti ayarlarını buradan yapabilirsiniz.',
		'disporder' => '1',
		'isdefault' => 'no'
	);
	$db->insert_query('settinggroups',$settings_group);
	$gid = $db->insert_id();
	
	$setting = array(
		'name' => 'enablecustompage',
		'title' => 'Basit Özel Sayfa',
		'description' => 'Foruma özel bir sayfa eklemek ister misiniz?',
		'optionscode' => 'yesno',
		'value' => '0',
		'disporder' => '2',
		'gid' => intval($gid)
	);
	$db->insert_query('settings',$setting);
	
	$custompagelink = array(
		"name"			=> "custompagelink",
		"title"			=> "Özel Sayfa Bağlantısı",
		"description"	=> "Menüde gözükecek özel sayfa bağlantısı.",
		"optionscode"	=> "text",
		"value"			=> '',
		"disporder"		=> '3',
		'gid' => intval($gid)
	);
	$db->insert_query("settings", $custompagelink);
	
	$custompagetitle = array(
		"name"			=> "custompagetitle",
		"title"			=> "Özel Sayfa Başlığı",
		"description"	=> "Buraya özel sayfa başlığını girin.",
		"optionscode"	=> "text",
		"value"			=> '',
		"disporder"		=> '4',
		'gid' => intval($gid)
	);
	$db->insert_query("settings", $custompagetitle);
	
	$custompagemessage = array(
		"name"			=> "custompagemessage",
		"title"			=> "Özel Sayfa Mesaj",
		"description"	=> "Burada size özel sayfa olarak görünmesini istediğiniz içeriği girin. Html izin verilir.",
		"optionscode"	=> "textarea",
		"value"			=> '',
		"disporder"		=> '5',
		'gid' => intval($gid)
	);
	$db->insert_query("settings", $custompagemessage);
	
	$guestsaccess = array(
		"name"			=> "groupaccess",
		"title"			=> "Özel Sayfayı hangi gruplar görmesin?",
		"description"	=> "<strong>Grup ID</strong> ",
		"optionscode"	=> "text",
		"value"			=> '',
		"disporder"		=> '6',
		'gid' => intval($gid)
	);
	$db->insert_query("settings", $guestsaccess);
	
    $template = array(
		'title' => "custom_page_index",
		'template' => $db->escape_string('<html>
<head>
<title>{$mybb->settings[\'bbname\']} - {$mybb->settings[\'custompagetitle\']}</title>
{$headerinclude}
</head>
<body>
{$header}
<table border="0" cellspacing="{$theme[\'borderwidth\']}" cellpadding="{$theme[\'tablespace\']}" class="tborder">
<tr>
<td class="thead"><strong>{$mybb->settings[\'custompagetitle\']}</strong></td>
</tr>
<tr>
<td width="100%" class="trow1">
{$customcontent}
</td>
</tr>
</table>
{$footer}
</body>
</html>'),
		'sid' => '-1',
		'version' => '',
		'dateline' => TIME_NOW
	);
	
$db->insert_query("templates", $template);
	
require MYBB_ROOT."/inc/adminfunctions_templates.php";
find_replace_templatesets("header", '#'.preg_quote('<ul>').'#', '<ul>{$custompagelink}');

rebuild_settings();
}

function simple_custom_page_deactivate()
{
	global $db, $mybb;

$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='simplecustompage'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='enablecustompage'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='custompagelink'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='custompagetitle'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='custompagemessage'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='guestsaccess'");
$db->query("DELETE FROM ".TABLE_PREFIX."templates WHERE title='custom_page_index'");
	
include MYBB_ROOT."/inc/adminfunctions_templates.php";
find_replace_templatesets("header", '#'.preg_quote('{$custompagelink}').'#', '', 0);

rebuild_settings();
}
	

function custompagelink()	
{
global $mybb, $header, $custompagelink, $settings;	

if($mybb->settings['enablecustompage'] == 1)
{
$custompagelink = "<li><a href=\"ozelsayfa.php\"><img src=\"./images/toplinks/custom.gif\" alt=\"\"/>{$mybb->settings['custompagelink']}</a></li>";
}
}

function custompageonline(&$plugin_array)
{
global $mybb, $db;

if (preg_match('/ozelsayfa\.php/',$plugin_array['user_activity']['location']))
{
$plugin_array['location_name'] = "Görüntüleme <a href=\"ozelsayfa.php\">{$mybb->settings['custompagelink']}</a>";
}
return $plugin_array;
}

?>